Summary:	The libglade library for loading user interfaces
Name:		libglade
Version: 	0.14
Release: 	3
Epoch:		1
Copyright:	LGPL
Group:		System Environment/Libraries
Source: 	ftp://ftp.daa.com.au/pub/james/gnome/libglade-%{version}.tar.gz
URL:		http://www.daa.com.au/~james/gnome/
BuildRoot:	/var/tmp/%{name}-%{version}-root
Requires:	gnome-libs
Requires:	libxml

Patch0:		libglade-disable-bonobo.patch
Patch1:		libglade-0.14-gtk-doc-link.patch
# Red Hat patches
# Helix patches

%description
The libglade library allows you to load user interfaces which are
stored externally into your program. This allows for alteration of the
interface without recompilation of the program. The interfaces can
also be edited with GLADE. Currently libglade supports all of the
widgets in current releases, keyboard accelerators and automatic
signal connection.

%package devel
Summary:	The files needed for libglade application development.
Group:		Development/Libraries
Requires:	%name = %{PACKAGE_VERSION}
Requires:	gnome-libs-devel
Requires:	libxml-devel

%description devel
The libglade-devel package contains the libraries, include files,
etc., that you can use to develop libglade applications.

%prep
%setup -q -n %{name}-%{version}
echo "	*****     Applying RH patches        *****	"
%patch0 -p1
%patch1 -p1
echo "	*****     Applying Helix patches     *****	"

%build
libtoolize --copy --force
autoconf
automake
CFLAGS="-pipe $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{_prefix} --sysconfdir=%{_sysconfdir}	\
	--localstatedir=%{_localstatedir} --without-bonobo
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{_localstatedir} install
# no binary stripping

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
%{_prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)
%doc test-libglade.c
%doc *.glade
%{_prefix}/bin/*
%{_prefix}/lib/lib*.so
%{_prefix}/lib/*a
%{_prefix}/include/glade
%{_prefix}/share/aclocal/*
%{_prefix}/lib/libgladeConf.sh

%doc %{_prefix}/share/gnome/html/libglade/*

%changelog
* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- 0.14
- added patch for gtk-doc scanner linkage

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Owen Taylor <otaylor@redhat.com>
- specfile fixes

* Wed May 31 2000 Owen Taylor <otaylor@redhat.com>
- Upgraded to libglade-0.13
- Use %makeinstall, since that is required when %configure is used.

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Upgraded to libglade-0.12

* Tue Sep 07 1999 Elliot Lee <sopwith@redhat.com>
- Updated RHL 6.1 package to libglade-0.5

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>

- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>

- Initial release 0.0.1
